import {
  a as t
} from "./chunk-IP3X35J4.js";
import {
  a as s,
  c as o
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/jsonp.js
var r = o((p, a) => {
  var u = t();
  a.exports = e;
  e.displayName = "jsonp";
  e.aliases = [];
  function e(n) {
    n.register(u), n.languages.jsonp = n.languages.extend("json", {
      punctuation: /[{}[\]();,.]/
    }), n.languages.insertBefore("jsonp", "punctuation", {
      function: /(?!\s)[_$a-zA-Z\xA0-\uFFFF](?:(?!\s)[$\w\xA0-\uFFFF])*(?=\s*\()/
    });
  }
  s(e, "jsonp");
});

export {
  r as a
};
